MEMORY
{
  BEGIN		: origin = 0x000000, length = 0x000002
  BOOT_RSVD	: origin = 0x000002, length = 0x0001AF     /* Part of M0, BOOT rom will use this for stack */
  RAMM		: origin = 0x0001B1, length = 0x00064F
  RAML		: origin = 0x008000, length = 0x004000
  RAMD		: origin = 0x00C000, length = 0x001000
  RAMG		: origin = 0x00D000, length = 0x0010000

  FLASH		: origin = 0x080000, length = 0x0020000	/* on-chip Flash */
  CPU12		: origin = 0x03A000, length = 0x000800
  CPU21		: origin = 0x03B000, length = 0x000800
  CANA		: origin = 0x049000, length = 0x000800
  CANB		: origin = 0x04B000, length = 0x000800
  RESET		: origin = 0x3FFFC0, length = 0x000002
}

SECTIONS
{
  codestart        : > BEGIN
  .text            : >> RAMD01 | RAMLS02 | RAMLS3 | RAMGS101112
  .cinit           : > RAMM
  .switch          : > RAMM
  .reset           : > RESET, TYPE = DSECT /* not used, */

  .stack           : > RAMM
#if defined(__TI_EABI__)
  .bss             : >> RAML
  .bss:output      : > RAML
  .init_array	: > RAMM
  .const	: > RAML
  .data		: > RAML
  .sysmem	: > RAML
#else
  .pinit           : > RAMM0
  .ebss            : >> RAML
  .econst          : > RAML
  .esysmem         : > RAML
#endif

  ramgs0 : > RAMGS0, type=NOINIT
  ramgs1 : > RAMGS1, type=NOINIT

  MSGRAM_CPU1_TO_CPU2 > CPU1TOCPU2RAM, type=NOINIT
  MSGRAM_CPU2_TO_CPU1 > CPU2TOCPU1RAM, type=NOINIT
  MSGRAM_CPU_TO_CM   > CPUTOCMRAM, type=NOINIT
  MSGRAM_CM_TO_CPU   > CMTOCPURAM, type=NOINIT
  .TI.ramfunc : {} > RAMM
}
